
.equ SSBitByte = 0x60
.equ SSBitByte1 = 0x61
.equ SSZaPCaktiv = 0x62
.equ SSADC0 = 0x63
.equ SSADC1 = 0x64
.equ SSADC2 = 0x65
.equ SSADC3 = 0x65
.equ SSZaT0 = 0x66
.equ SSZaLED = 0x67
.equ SSZaLCDBegL = 0x68
.equ SSZaLCDBegH = 0x69
.equ SSTastenOld = 0x6A
.equ SSBerRetL = 0x6B
;0x6C,0x6D,0x6E,0x6F fr Bin2ToAsc5

.equ SSAktEbene = 0x70
.equ SSEbene0 = 0x71
.equ SSEbene1 = 0x72
.equ SSEbene2 = 0x73
.equ SSEbeneEinsp = 0x74
.equ SSEbeneMin = 0x75
.equ SSEbeneMax = 0x76
.equ SSScroll = 0x77
.equ SSZeileCursor = 0x78
.equ SSTasten = 0x79
.equ SSNull1 = 0x7A
.equ SSZeileCursorE0 = 0x7B
.equ SSZeileCursorE1 = 0x7C
.equ SSScrollE0 = 0x7D
.equ SSScrollE1 = 0x7E
.equ SSAnzZeile = 0x7F



.equ SSMode = 0x80
.equ SS0L = 0x81
.equ SS0H = 0x82
.equ SS1L = 0x83
.equ SS1H = 0x84
.equ SS01L = 0x85
.equ SS01H = 0x86
.equ SS0Max = 0x87
.equ SS1Max = 0x88
.equ SS01Max = 0x89
.equ SSEP = 0x8A
.equ SSAdd = 0x8B
.equ SSEbeneEinspE1 = 0x8C
.equ SSCursorIndex0 = 0x8D
.equ SSCursorIndex1 = 0x8E
.equ SSCursorIndex2 = 0x8F
.equ SSCursorIndex3 = 0x90
.equ SSCursorIndex = 0x91
.equ SSAnzCursorIndex = 0x92
.equ SSZuordCISS = 0x93
.equ SSCursorPositionEingabe = 0x94
.equ SSZeilenZa = 0x95
.equ SSTaOKZa = 0x96
.equ SSMAnzZeile2 = 0x97
.equ SSMAnzZeile3 = 0x98
.equ SSMAnzZeile4 = 0x99
.equ SSAdrEE0L = 0x9A
.equ SSAdrEE0H = 0x9B
.equ SSAdrEE1L = 0x9C
.equ SSAdrEE1H = 0x9D
.equ SSAnzEE = 0x9E
.equ sSMenu = 0x9F

.equ SSGewMenu = 0xA0
.equ SST2Za = 0xA1
.equ SS0Min = 0xA2
.equ SS1MIN = 0xA3
.equ SS01Min = 0xA4
.equ SSScratchL = 0xA5
.equ SSTIMSK = 0xA6
.equ SSUCSRB = 0xA7
.equ SSADCSR = 0xA8


.dseg
.org 0x0E8
TempMSt0:	.byte 2
TempMSt1:	.byte 2
TempMSt2:	.byte 2
TempMSt3:	.byte 2
TempMSt4:	.byte 2
TempMSt5:	.byte 2
TempMSt6:	.byte 2
TempMSt7:	.byte 2

MStIndex0:	.byte 1
MStIndex1:	.byte 1
MStIndex2:	.byte 1
MStIndex3:	.byte 1
MStIndex4:	.byte 1
MStIndex5:	.byte 1
MStIndex6:	.byte 1
MStIndex7:	.byte 1

.cseg
;RAM Bereich fr LCD 0x100-0x14F
.equ SSLcdRAMZ1 = 0x100
.equ SSLcdRAMZ2 = 0x114
.equ SSLcdRAMZ3 = 0x128
.equ SSLcdRAMZ4 = 0x13C



.equ SSUhrzeitH = 0x0150
.equ SSUhrzeitM = 0x0151
.equ SSUhrzeitS = 0x0152
.equ SSTagCKWH = 0x0153
.equ SSNachtCKWh = 0x0154
.equ SSTagBH = 0x0155
.equ SSTagBM = 0x0156
.equ SSTagEH = 0x0157
.equ SSTagEM = 0x0158
.equ SSModusBW = 0x0159
.equ SSBWWPBeginnH = 0x015A
.equ SSBBWPBeginnM = 0x015B
.equ SSBWWPEndeH = 0x015C
.equ SSBWWPEndeM = 0x015D
.equ SSBWSollw = 0x015E
.equ SSModusHZ = 0x015F
.equ SSHZSollw = 0x0160
.equ SSHZB1H = 0x0161
.equ SSHZB1M = 0x0162
.equ SSHZE1H = 0x0163
.equ SSHZE1M = 0x0164
.equ SSHZB2H = 0x0165
.equ SSHZB2M = 0x0166
.equ SSHZE2H = 0x0167
.equ SSHZE2M = 0x0168
.equ SSHZB3H = 0x0169
.equ SSHZB3M = 0x016A
.equ SSHZE3H = 0x016B
.equ SSHZE3M = 0x016C

.equ SSNull = 0x017A

.equ SSCodeL = 0x01A0
.equ SSCodeH = 0x01A1
.equ SSAnlaufVerz = 0x01A2
.equ SSTaktschutz = 0x01A3
.equ SSGrenztempVL = 0x01A4
.equ SSUmKompr2 = 0x01A5
.equ SSUmMagnetV = 0x01A6
.equ SSFrostWQA = 0x01A7



.equ SSTemp1 = 0x0200
.equ SSTemp2 = 0x0201
.equ SSTemp3 = 0x0202
.equ SSTemp4 = 0x0203
.equ SSTemp5 = 0x0204
.equ SSTemp6 = 0x0205
.equ SSTemp7 = 0x0206
.equ SSTemp8 = 0x0207
.equ SSDruck1 = 0x0208
.equ SSDruck2 = 0x0209




.dseg
.org RAMEND - 99	;0x3FC

Buffer:        .byte 16

TempLSB:       .byte 1
TempMSB:       .byte 1
THUB1:         .byte 1
TLUB2:         .byte 1
Res1:          .byte 1
Res2:          .byte 1
CountRem:      .byte 1
CntPerC:       .byte 1
CRC:           .byte 1

ExtTemp:       .byte 1
romoff:        .byte 2         ;Pointer to Sensor address
romdta:        .byte 8         ;ROM address of urrent device
Sensor0:       .byte 8         ;DS1820 sensor 0 ID #
Sensor1:       .byte 8         ;DS1820 sensor 1 ID #
Sensor2:       .byte 8         ;DS1820 sensor 2 ID #
Sensor3:       .byte 8         ;DS1820 sensor 3 ID #
Sensor4:       .byte 8         ;DS1820 sensor 4 ID #
Sensor5:       .byte 8         ;DS1820 sensor 5 ID #
Sensor6:       .byte 8         ;DS1820 sensor 6 ID #
Sensor7:       .byte 8         ;DS1820 sensor 7 ID #




